[arvados] created: 2.4.2-14-g720f7747b
git repository hosting
git at public.arvados.org
Fri Sep 9 19:25:34 UTC 2022
at 720f7747b9efa7852e6a88431215208435a3949b (commit)
commit 720f7747b9efa7852e6a88431215208435a3949b
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Fri Sep 9 16:23:18 2022 -0300
19472: Avoids git error messages on already cloned repositories.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index c688f71fa..e4a12a91e 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -337,27 +337,27 @@ mkdir -p ${S_DIR} ${F_DIR} ${P_DIR} ${T_DIR}
cd ${F_DIR} || exit 1
echo "Cloning formulas"
test -d docker || git clone --quiet https://github.com/saltstack-formulas/docker-formula.git ${F_DIR}/docker
-( cd docker && git checkout --quiet tags/"${DOCKER_TAG}" -b "${DOCKER_TAG}" )
+( cd docker && git checkout --quiet tags/"${DOCKER_TAG}" )
echo "...locale"
test -d locale || git clone --quiet https://github.com/saltstack-formulas/locale-formula.git ${F_DIR}/locale
-( cd locale && git checkout --quiet tags/"${LOCALE_TAG}" -b "${LOCALE_TAG}" )
+( cd locale && git checkout --quiet tags/"${LOCALE_TAG}" )
echo "...nginx"
test -d nginx || git clone --quiet https://github.com/saltstack-formulas/nginx-formula.git ${F_DIR}/nginx
-( cd nginx && git checkout --quiet tags/"${NGINX_TAG}" -b "${NGINX_TAG}" )
+( cd nginx && git checkout --quiet tags/"${NGINX_TAG}" )
echo "...postgres"
test -d postgres || git clone --quiet https://github.com/saltstack-formulas/postgres-formula.git ${F_DIR}/postgres
-( cd postgres && git checkout --quiet tags/"${POSTGRES_TAG}" -b "${POSTGRES_TAG}" )
+( cd postgres && git checkout --quiet tags/"${POSTGRES_TAG}" )
echo "...letsencrypt"
test -d letsencrypt || git clone --quiet https://github.com/saltstack-formulas/letsencrypt-formula.git ${F_DIR}/letsencrypt
-( cd letsencrypt && git checkout --quiet tags/"${LETSENCRYPT_TAG}" -b "${LETSENCRYPT_TAG}" )
+( cd letsencrypt && git checkout --quiet tags/"${LETSENCRYPT_TAG}" )
echo "...logrotate"
test -d logrotate || git clone --quiet https://github.com/saltstack-formulas/logrotate-formula.git ${F_DIR}/logrotate
-( cd logrotate && git checkout --quiet tags/"${LOGROTATE_TAG}" -b "${LOGROTATE_TAG}" )
+( cd logrotate && git checkout --quiet tags/"${LOGROTATE_TAG}" )
echo "...arvados"
test -d arvados || git clone --quiet https://git.arvados.org/arvados-formula.git ${F_DIR}/arvados
commit c23c6f4526d0ef9ef1708a557be627c8f226943a
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Fri Sep 9 16:18:26 2022 -0300
19472: Adds logrotate config for workbench1.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_wb1.sls b/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_wb1.sls
new file mode 100644
index 000000000..36736a590
--- /dev/null
+++ b/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_wb1.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-workbench:
+ path:
+ - /var/www/arvados-workbench/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
diff --git a/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_wb1.sls b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_wb1.sls
new file mode 100644
index 000000000..36736a590
--- /dev/null
+++ b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_wb1.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-workbench:
+ path:
+ - /var/www/arvados-workbench/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_wb1.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_wb1.sls
new file mode 100644
index 000000000..36736a590
--- /dev/null
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_wb1.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-workbench:
+ path:
+ - /var/www/arvados-workbench/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index 2dc642fea..c688f71fa 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -582,6 +582,7 @@ if [ -z "${ROLES}" ]; then
echo " - nginx_webshell_configuration" >> ${P_DIR}/top.sls
echo " - nginx_workbench2_configuration" >> ${P_DIR}/top.sls
echo " - nginx_workbench_configuration" >> ${P_DIR}/top.sls
+ echo " - logrotate_wb1" >> ${P_DIR}/top.sls
echo " - postgresql" >> ${P_DIR}/top.sls
# We need to tweak the Nginx's pillar depending whether we want plan nginx or nginx+passenger
@@ -707,6 +708,7 @@ else
"controller" | "websocket" | "workbench" | "workbench2" | "webshell" | "keepweb" | "keepproxy")
# States
if [ "${R}" = "workbench" ]; then
+ grep -q " - logrotate" ${S_DIR}/top.sls || echo " - logrotate" >> ${S_DIR}/top.sls
NGINX_INSTALL_SOURCE="install_from_phusionpassenger"
if grep -q " - nginx$" ${S_DIR}/top.sls; then
sed -i s/"^ - nginx.*$"/" - nginx.passenger"/g ${S_DIR}/top.sls
@@ -739,6 +741,9 @@ else
grep -q "arvados.${R}" ${S_DIR}/top.sls || echo " - arvados.${R}" >> ${S_DIR}/top.sls
fi
# Pillars
+ if [ "${R}" = "workbench" ]; then
+ grep -q "logrotate_wb1" ${P_DIR}/top.sls || echo " - logrotate_wb1" >> ${P_DIR}/top.sls
+ fi
grep -q "nginx_passenger" ${P_DIR}/top.sls || echo " - nginx_passenger" >> ${P_DIR}/top.sls
grep -q "nginx_${R}_configuration" ${P_DIR}/top.sls || echo " - nginx_${R}_configuration" >> ${P_DIR}/top.sls
# Special case for keepweb
commit 1b9db48c59c27a94397bacbf2a157d26f30fa64d
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Fri Sep 9 15:54:10 2022 -0300
19472: Removes unneeded missing package dependency workaround.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index d3cf6c123..2dc642fea 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -671,9 +671,6 @@ else
;;
"api")
# States
- # FIXME: https://dev.arvados.org/issues/17352
- grep -q "postgres.client" ${S_DIR}/top.sls || echo " - postgres.client" >> ${S_DIR}/top.sls
-
grep -q " - logrotate" ${S_DIR}/top.sls || echo " - logrotate" >> ${S_DIR}/top.sls
if grep -q " - nginx.*$" ${S_DIR}/top.sls; then
sed -i s/"^ - nginx.*$"/" - nginx.passenger"/g ${S_DIR}/top.sls
commit 0f201948b6ba4a35dc863eccad1725ac658ebccb
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Fri Sep 9 15:52:30 2022 -0300
19472: Adds logrotate config for RailsAPI logs.
Also, pins salt version to avoid issues with new releases. Refs #19471
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_api.sls b/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_api.sls
new file mode 100644
index 000000000..864e78250
--- /dev/null
+++ b/tools/salt-install/config_examples/multi_host/aws/pillars/logrotate_api.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-api:
+ path:
+ - /var/www/arvados-api/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
\ No newline at end of file
diff --git a/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_api.sls b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_api.sls
new file mode 100644
index 000000000..864e78250
--- /dev/null
+++ b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/logrotate_api.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-api:
+ path:
+ - /var/www/arvados-api/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
\ No newline at end of file
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_api.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_api.sls
new file mode 100644
index 000000000..864e78250
--- /dev/null
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/logrotate_api.sls
@@ -0,0 +1,22 @@
+---
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+### LOGROTATE
+logrotate:
+ jobs:
+ arvados-api:
+ path:
+ - /var/www/arvados-api/shared/log/*.log
+ config:
+ - daily
+ - missingok
+ - rotate 365
+ - compress
+ - nodelaycompress
+ - copytruncate
+ - sharedscripts
+ - postrotate
+ - ' [ -s /run/nginx.pid ] && kill -USR1 `cat /run/nginx.pid`'
+ - endscript
\ No newline at end of file
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index 93d4fcfd3..d3cf6c123 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -206,12 +206,17 @@ VERSION="2.4.2-1"
# ARVADOS_TAG="2.2.0"
# BRANCH="main"
+# We pin the salt version to avoid potential incompatibilities when a new
+# stable version is released.
+SALT_VERSION="3004"
+
# Other formula versions we depend on
POSTGRES_TAG="v0.44.0"
NGINX_TAG="v2.8.1"
DOCKER_TAG="v2.4.2"
LOCALE_TAG="v0.3.4"
LETSENCRYPT_TAG="v2.1.0"
+LOGROTATE_TAG="v0.14.0"
# Salt's dir
DUMP_SALT_CONFIG_DIR=""
@@ -305,7 +310,7 @@ else
echo "Salt already installed"
else
curl -L https://bootstrap.saltstack.com -o /tmp/bootstrap_salt.sh
- sh /tmp/bootstrap_salt.sh -XdfP -x python3
+ sh /tmp/bootstrap_salt.sh -XdfP -x python3 stable ${SALT_VERSION}
/bin/systemctl stop salt-minion.service
/bin/systemctl disable salt-minion.service
fi
@@ -331,34 +336,37 @@ mkdir -p ${S_DIR} ${F_DIR} ${P_DIR} ${T_DIR}
# Get the formula and dependencies
cd ${F_DIR} || exit 1
echo "Cloning formulas"
-rm -rf ${F_DIR}/* || exit 1
-git clone --quiet https://github.com/saltstack-formulas/docker-formula.git ${F_DIR}/docker
+test -d docker || git clone --quiet https://github.com/saltstack-formulas/docker-formula.git ${F_DIR}/docker
( cd docker && git checkout --quiet tags/"${DOCKER_TAG}" -b "${DOCKER_TAG}" )
echo "...locale"
-git clone --quiet https://github.com/saltstack-formulas/locale-formula.git ${F_DIR}/locale
+test -d locale || git clone --quiet https://github.com/saltstack-formulas/locale-formula.git ${F_DIR}/locale
( cd locale && git checkout --quiet tags/"${LOCALE_TAG}" -b "${LOCALE_TAG}" )
echo "...nginx"
-git clone --quiet https://github.com/saltstack-formulas/nginx-formula.git ${F_DIR}/nginx
+test -d nginx || git clone --quiet https://github.com/saltstack-formulas/nginx-formula.git ${F_DIR}/nginx
( cd nginx && git checkout --quiet tags/"${NGINX_TAG}" -b "${NGINX_TAG}" )
echo "...postgres"
-git clone --quiet https://github.com/saltstack-formulas/postgres-formula.git ${F_DIR}/postgres
+test -d postgres || git clone --quiet https://github.com/saltstack-formulas/postgres-formula.git ${F_DIR}/postgres
( cd postgres && git checkout --quiet tags/"${POSTGRES_TAG}" -b "${POSTGRES_TAG}" )
echo "...letsencrypt"
-git clone --quiet https://github.com/saltstack-formulas/letsencrypt-formula.git ${F_DIR}/letsencrypt
+test -d letsencrypt || git clone --quiet https://github.com/saltstack-formulas/letsencrypt-formula.git ${F_DIR}/letsencrypt
( cd letsencrypt && git checkout --quiet tags/"${LETSENCRYPT_TAG}" -b "${LETSENCRYPT_TAG}" )
+echo "...logrotate"
+test -d logrotate || git clone --quiet https://github.com/saltstack-formulas/logrotate-formula.git ${F_DIR}/logrotate
+( cd logrotate && git checkout --quiet tags/"${LOGROTATE_TAG}" -b "${LOGROTATE_TAG}" )
+
echo "...arvados"
-git clone --quiet https://git.arvados.org/arvados-formula.git ${F_DIR}/arvados
+test -d arvados || git clone --quiet https://git.arvados.org/arvados-formula.git ${F_DIR}/arvados
# If we want to try a specific branch of the formula
if [ "x${BRANCH}" != "x" ]; then
( cd ${F_DIR}/arvados && git checkout --quiet -t origin/"${BRANCH}" -b "${BRANCH}" )
elif [ "x${ARVADOS_TAG}" != "x" ]; then
-( cd ${F_DIR}/arvados && git checkout --quiet tags/"${ARVADOS_TAG}" -b "${ARVADOS_TAG}" )
+ ( cd ${F_DIR}/arvados && git checkout --quiet tags/"${ARVADOS_TAG}" -b "${ARVADOS_TAG}" )
fi
if [ "x${VAGRANT}" = "xyes" ]; then
@@ -555,6 +563,7 @@ if [ -z "${ROLES}" ]; then
fi
echo " - postgres" >> ${S_DIR}/top.sls
+ echo " - logrotate" >> ${S_DIR}/top.sls
echo " - docker.software" >> ${S_DIR}/top.sls
echo " - arvados" >> ${S_DIR}/top.sls
echo " - extra.shell_sudo_passwordless" >> ${S_DIR}/top.sls
@@ -564,6 +573,7 @@ if [ -z "${ROLES}" ]; then
# Pillars
echo " - docker" >> ${P_DIR}/top.sls
echo " - nginx_api_configuration" >> ${P_DIR}/top.sls
+ echo " - logrotate_api" >> ${P_DIR}/top.sls
echo " - nginx_controller_configuration" >> ${P_DIR}/top.sls
echo " - nginx_keepproxy_configuration" >> ${P_DIR}/top.sls
echo " - nginx_keepweb_configuration" >> ${P_DIR}/top.sls
@@ -663,6 +673,8 @@ else
# States
# FIXME: https://dev.arvados.org/issues/17352
grep -q "postgres.client" ${S_DIR}/top.sls || echo " - postgres.client" >> ${S_DIR}/top.sls
+
+ grep -q " - logrotate" ${S_DIR}/top.sls || echo " - logrotate" >> ${S_DIR}/top.sls
if grep -q " - nginx.*$" ${S_DIR}/top.sls; then
sed -i s/"^ - nginx.*$"/" - nginx.passenger"/g ${S_DIR}/top.sls
else
@@ -685,6 +697,7 @@ else
fi
grep -q "arvados.${R}" ${S_DIR}/top.sls || echo " - arvados.${R}" >> ${S_DIR}/top.sls
# Pillars
+ grep -q "logrotate_api" ${P_DIR}/top.sls || echo " - logrotate_api" >> ${P_DIR}/top.sls
grep -q "aws_credentials" ${P_DIR}/top.sls || echo " - aws_credentials" >> ${P_DIR}/top.sls
grep -q "postgresql" ${P_DIR}/top.sls || echo " - postgresql" >> ${P_DIR}/top.sls
grep -q "nginx_passenger" ${P_DIR}/top.sls || echo " - nginx_passenger" >> ${P_DIR}/top.sls
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list